export function getFieldsTemplate(object: any, fields: any, display: any): Promise<string>;
export function getRecordPermissionsTemplate(): string;
export function getFindOneQuery(object: any, recordId: any, fields: any, options: any): Promise<{
    query: string;
}>;
export function getSaveQuery(object: any, recordId: any, fields: any, options: any): {
    objectName: any;
    $: string;
    recordId: any;
    modalName: string;
};
export function getScriptForReadonlyFields(fields: any): string;
export function getScriptForRemoveUrlPrefixForImgFields(fields: any): string;
export function getScriptForSimplifiedValueForFileFields(fields: any): string;
export function getSaveDataTpl(fields: any): string;
export function getSaveRequestAdaptor(fields: any, options: any): string;
export function getFindQuery(object: any, recordId: any, fields: any, options: any): Promise<{
    orderBy: string;
    orderDir: string;
    pageNo: string;
    pageSize: string;
    queryFields: string;
    query: string;
}>;
export function getRecordPermissionsQuery(object: any, recordId: any, options: any): {
    query: string;
};
export function getApi(isMobile: any): string;
